//
//  QHVCAudioEffect.h
//  QHVCAudioEffectKit
//
//  Created by liyue on 2020/11/3.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/// 变声，算法内部有缓存，会导致声音数据有一定延迟
@interface QHVCPitchEffect : NSObject

/// 设置音调
/// @param pitch 音调，默认原声1.0，<1.0降低音调，>1.0升高音调
- (void)setPitch:(float)pitch;

/// 处理数据，算法内部有缓存，会导致声音数据有一定延迟，处理后的data数据可能为0
/// @param data 音频数据
/// @param bits 位深
/// @param channel 通道数
/// @param samplerate 采样率
/// @param len 字节数
- (void)processData:(void *)data bits:(int)bits channel:(int)channel samplerate:(int)samplerate len:(int)len;

@end

@interface QHVCAudioEffect : NSObject

/// 放大或者缩小音量
/// @param data 音频数据
/// @param bits 位深
/// @param channel 通道数
/// @param rate 采样率
/// @param len 字节数
/// @param multiples 放缩倍速
+ (void)processDataVolumeMultiples:(void *)data bits:(int)bits channel:(int)channel rate:(int)rate len:(int)len multiples:(float)multiples;

@end

NS_ASSUME_NONNULL_END
