//
//  RTCAudioDeviceModule.h
//  sources
//
//  Created by 李越 on 2021/6/24.
//

#import <Foundation/Foundation.h>
#import "RTCMacros.h"

NS_ASSUME_NONNULL_BEGIN

RTC_OBJC_EXPORT
@interface RTC_OBJC_TYPE(RTCAudioDeviceModule) : NSObject

- (int16_t)playoutDevices;
- (int32_t)playoutDeviceName:(int64_t)index name:(char *)name deviceId:(char *)deviceId;

- (int16_t)recordingDevices;
- (int32_t)recordingDeviceName:(int64_t)index name:(char *)name deviceId:(char *)deviceId;

- (int32_t)setPlayoutDevice:(int64_t)index;
- (int32_t)setRecordingDevice:(int64_t)index;

- (int32_t)initPlayout;
- (int32_t)startPlayout;
- (int32_t)stopPlayout;
- (bool)playing;

- (int32_t)initRecording;
- (int32_t)startRecording;
- (int32_t)stopRecording;
- (bool)recording;

- (float)getCurrentAudioVolume;

@end

NS_ASSUME_NONNULL_END
